Bug 1293857 (CVE-2015-8373) - CVE-2015-8373 kea: unexpected termination while handling a malformed packet
Summary: CVE-2015-8373 kea: unexpected termination while handling a malformed packet
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2015-8373
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1293858
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-12-23 09:39 UTC by Martin Prpič
Modified: 2021-02-17 04:35 UTC (History)
2 users (show)

Fixed In Version: Kea 0.9.2-P1, Kea 1.0.0-beta2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:46:48 UTC


Attachments (Terms of Use)

Description Martin Prpič 2015-12-23 09:39:02 UTC
ISC Kea may terminate unexpectedly (crash) while handling a malformed client packet:

Related defects in the kea-dhcp4 and kea-dhcp6 servers can cause the server to crash during option processing if a client sends a malformed packet.

* The kea-dhcp4 server is vulnerable only in versions 0.9.2 and 1.0.0-beta, and furthermore only when logging at debug level 40 or higher. Servers running kea-dhcp4 versions 0.9.1 or lower, and servers which are not logging or are logging at debug level 39 or below are not vulnerable.

* The kea-dhcp6 server is vulnerable only in versions 0.9.2 and 1.0.0-beta, and furthermore only when logging at debug level 45 or higher. Servers running kea-dhcp6 versions 0.9.1 or lower, and servers which are not logging or are logging at debug level 44 or below are not vulnerable.

An attacker sending a crafted malformed packet can cause an ISC Kea server providing DHCP services to IPv4 or IPv6 clients to exit unexpectedly.

External References:

https://kb.isc.org/article/AA-01318

Comment 1 Martin Prpič 2015-12-23 09:42:47 UTC
Created kea tracking bugs for this issue:

Affects: fedora-all [bug 1293858]

Comment 2 Fedora Update System 2016-01-08 03:27:07 UTC
kea-0.9.2-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2016-01-10 19:25:06 UTC
kea-1.0.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Product Security DevOps Team 2019-06-08 02:46:48 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.